Skip to main content
GET
/
aml
/
monitorings
/
List AML monitorings
curl --request GET \
  --url https://ivs.idenfy.com/aml/monitorings/ \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://ivs.idenfy.com/aml/monitorings/"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://ivs.idenfy.com/aml/monitorings/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/aml/monitorings/")
  .header("Authorization", "Basic <encoded-value>")
  .asString();


using RestSharp;


var options = new RestClientOptions("https://ivs.idenfy.com/aml/monitorings/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ivs.idenfy.com/aml/monitorings/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Basic <encoded-value>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
val client = OkHttpClient()

val request = Request.Builder()
  .url("https://ivs.idenfy.com/aml/monitorings/")
  .get()
  .addHeader("Authorization", "Basic <encoded-value>")
  .build()

val response = client.newCall(request).execute()
import Foundation

let url = URL(string: "https://ivs.idenfy.com/aml/monitorings/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "checkedAt": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "isSubscribed": true,
      "expiration": "2023-11-07T05:31:56Z",
      "tags": []
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Query Parameters

created
string<date-time>[]

Multiple values may be separated by commas.

expiration
string<date-time>[]

Multiple values may be separated by commas.

isExpired
boolean
name
string
orderBy
enum<string>[]

Ordering

Available options:
-created,
-expiration,
created,
expiration
page
integer

A page number within the paginated result set.

perPage
integer

Number of results to return per page.

status
enum<string>
Available options:
ACTIVE,
ALERT,
PENDING,
STOPPED
tags
string[][]
Minimum string length: 1
userType
enum<string>
Available options:
COMPANY,
PERSON

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"